## leechcraft 0.4.55-maemo-4

=== iconsets/nuvola/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
PROJECT (leechcraft-icons-nuvola NONE)

#INSTALL (DIRECTORY icons/ DESTINATION share/icons/Tango
#	PATTERN ".svn" EXCLUDE)

INSTALL (FILES nuvola.mapping DESTINATION share/leechcraft/icons)

INCLUDE (InstallRequiredSystemLibraries)
SET (CPACK_CMAKE_GENERATOR "Unix Makefiles")
SET (CPACK_PACKAGE_NAME "leechcraft-icons-nuvola")
SET (CPACK_GENERATOR "DEB;RPM;TGZ")
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "Nuvola-style icon pack for LeechCraft")
SET (CPACK_PACKAGE_VENDOR "0xd34df00d")
SET (CPACK_DEBIAN_PACKAGE_SECTION "net")
SET (CPACK_DEBIAN_PACKAGE_DESCRIPTION "Nuvola-style icon pack for LeechCraft, adapting Nuvola icon theme for KDE 3.x by David Vignoni icons for the LeechCraft.")
SET (CPACK_DEBIAN_PACKAGE_DEPENDS "leechcraft (>= 0.2.989), kde-icons-nuvola")
SET (CPACK_DEBIAN_PACKAGE_ARCHITECTURE "all")
SET (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/License.txt")
SET (CPACK_PACKAGE_VERSION_MAJOR "0")
SET (CPACK_PACKAGE_VERSION_MINOR "3")
SET (CPACK_PACKAGE_VERSION_PATCH "0")
SET (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET (CPACK_PACKAGE_CONTACT "0xd34df00d@gmail.com")
SET (CPACK_DEBIAN_PACKAGE_MAINTAINER "Rudoy Georg <0xd34df00d@gmail.com>")
SET (CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_CURRENT_SOURCE_DIR}/scripts/postinst")
INCLUDE (CPack)
