=== src/iconsets/CMakeLists.txt ===
ADD_SUBDIRECTORY (oxygen)
ADD_SUBDIRECTORY (tango)
ADD_SUBDIRECTORY (Pevzi)
