=== src/iconsets/Pevzi/CMakeLists.txt ===
INSTALL (DIRECTORY icons/ DESTINATION share/icons/Pevzi
	PATTERN ".svn" EXCLUDE)
INSTALL (FILES Pevzi.mapping DESTINATION share/leechcraft/icons)
