=== src/iconsets/tango/CMakeLists.txt ===
INSTALL (FILES Tango.mapping DESTINATION share/leechcraft/icons)
