=== debian/changelog ===
leechcraft (0.4.55-maemo-4) unstable; urgency=low

  * Fix running problem

 -- Eugene Degtyarev <degtep@gmail.com>  Fri, 18 Feb 2011 20:34:53 +0300
