=== debian/control ===
Source: leechcraft
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),
 cdbs,
 cmake (>= 2.6),
 libboost1.42-all-dev,
 libboost-thread1.42-dev,
 libboost-date-time1.42-dev,
 libboost-filesystem1.42-dev,
 libboost-regex1.42-dev,
 libboost-program-options1.42-dev,
 libbz2-dev,
 libqjson-dev,
 libqxmpp-dev,
 libqt4-dev (>= 4.6.0)
Standards-Version: 3.9.1
Homepage: http://leechcraft.org

Package: leechcraft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LeechCraft is a free modular "Internet client" application.
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.
 .
 Features can be easily added via plugins that can be integrated with
 each other with no effert while staying abstract from the exact
 implementation.
 .
 This package contains the main LeechCraft executable, which connects
 all the plugins with each other, routes requests between them, tracks
 dependencies and performs several other housekeeping tasks.
XSBC-Maemo-Display-Name: LeechCraft
XSBC-Bugtracker: http://dev.leechcraft.org/projects/leechcraft/issues
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAACqAAAAqgB7e92gQAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAbZSURBVGiB3ZrPaxvpGcc/7/yQbMuWVonc
 JLbYhASUpKFLSGhTKPWhkJMhh1x86T2HkNteC/4DemrZQ06FHruQQ8kt58C6
 sBAKre0tbhuvU0mV7IntWKN3fr17mB8ayZKsCfXa2wdesMbzzHw/7/O8v0co
 pRhnQggBiPjn2Jv/dxaLUuoEgWLY/1OiNUAHjKho0fXTAlFRCQAvKn70eyjM
 MYBIvA7kgGlgFpgDZqJr+ikD+IADdIBD4ANgR9f8QYg+gEi8GYm9CFwBbgH3
 gRpQIYzCaVoAtIFvgK+BDaAO7BJCuWmIBCASbwBFYBH4DHg2Pz//s7t373L7
 9m2uXr2Kpp2u/iAIePv2Levr67x584ZWq/UX4PfAX4F3wAHgxRBCKZVOm1ng
 U+CREOLzx48fl548ecL8/DzT09NMTU2dqvjYut0utm3TarV4/vw5L1682FdK
 /Rb4M7BNmFa+UkrFABowRZgyPxdCfLG6ulp6+PAh1WoVwzC+F+GD5nkeOzs7
 vHr1itXV1X2l1FPgK8KU6iqlgliZRpj3V4Bny8vLpaWlJarVavKgs7JqtcrS
 0hLLy8ully9fPgPeAvuEjTowBtLnVrlcfrCyssLCwgKu656Z8LQtLCywsrLC
 69evH1iWdQvYAQ6FEL5B2CUahAD3a7Ua5XIZONuaH7RyuUytVmNtbe0+YRoZ
 gJsGmAFq1WqVXC53bmo/tlwuR7VaZW1trUao1QBEug3kgEq5XMY0zXMHYJpm
 nBkVQq0ahBTQmzJonufhui6O45yJ0FHmum6c0olW6AFAND1wHCcp58kGNCVT
 mWMdfHxjnELxSD1kzkTYgY03pdQx3ywWv2dUpR4DcF0XKSVSSpRSBEGA67p9
 InRdxzCMiaYVvu8nJatwwzDQdR0hBFLKoe1yaARigCAIsG2bZrPZ16Xqus6l
 S5coFApjIYIg4OjoiGazmRlA0zQqlQpzc3Pouo6UcrIIxKRx2d3dZW9vj5/+
 5DC5Z+OfMzSb4QBjmuZIEZ7n0Ww2cWSbH9/oZAL42z8KNBoeuq4zNTWVZMaJ
 APGNcSQ6nQ6O4/Dol/9J7nlXv8LehwKO44zNb8/zkFIym+/0+U9iW/9eZL9j
 0u120TQtWwqlIxCDkKJ3nV6UgKGNWSmVAORFv/8k5jhyqJYTAer1ekLb16U6
 KQDpJFGKZrMjAVzXxRWyz986NHDc8T2Ybbt9AFJK6vX6yQDb29tsbGxw8+ZN
 TNNMGjSyR+9G4icBkFLi4iT+zfcGv/njj/CD8QBCBFQqBp7n0W632dzcZHt7
 +2QACNtBu91GSsnBwQG2bUO3PwLpsWIcgOM4IUDkf/geXMdhrnSBQqEwdK0h
 hCAIAnzfp16vI4QYObUZChD3/zF9o9GA3X+BMQdGEde52JdCoywBUD0A1Q0H
 JV3XmZ6exjTNpALiVLFtG9/3k0FMCDHyPSMBjo2gtgQk0Ka+rXjX9ZJlpmma
 yYAzWItSStxAgh2mUNAVdLs2BwcHyX2u6+L7PkEQJNeEEJimiaZpaJqWDSAI
 gr4CgOyJC7wAy7LY3NxE1/U+XyFEMlKXSiVarRZCr4O1DQQ4rTzffuvT+O8e
 +Xx+6EAYP+Py5cvMzs5iGEZPxyQAMGQOI3svurdgs9XO0z3ojnJHeoK93Vl0
 I4eXc6EbCrha8LhzWfLe9oDD3h5c38uhvh824GvXrlEoFEa+58QIJBCpCDy9
 t8fTe3sjHwrwu68u8uVmDqEZoETiXxQBf3i0M9YXYOXLT6lLB8/z+tJrIoB0
 7fcAMu4H+aLnH3yEv+pvi5kbcV/tQ18EJjI/tYWqPsJf9bR8FACEjSmfz6MJ
 +MWfrmV6vxvATMEgl8vx93Y+s7/0BaVPckkPlAkgPX8vFosopTKv0OJeKO4O
 s66xPzEMisUimqYl7SATgOd5KKUwDINyuZxpZRX343EXeeHChcz+QFL74xZE
 YwFiS6fUpBa3o2HCsjwjFp4JwPO8c7WpBaM32dIASXwHI3AebCACidYYIKB3
 lHPeI9CnNQ3gEJ6MYFkWxWLxe5Y43izLiv9sE+1MQwigCA/TOoTHOr+yLIvF
 xcUzkDnaUgDfEGr1AJUG+EB4JkWj0eD69evkcrkzkHrcHMcJ1yShfU2oNQRQ
 SikhhB9d3ADWPM97sL6+zp07d85G8YCtr6/HbWCNUOP4IybgC6BUqVS4cePG
 2L2f0zTXddna2qLdbkN4KnPsiGnkIR/wOVCKR+JCocDMzEzmwSirKaXodDoc
 HR1hWVZc8/vA0EO+9BAfnxFfJDxi/TVhyNQZl7VIy2eRNpPodFUp9X900D0A
 8cP81GAA4of5scexG8755zbfAVYw7cO5NrtLAAAAAElFTkSuQmCC
 ====
